Overview | Package | Class | Tree | Deprecated | Index | Help
| Simian - Similarity Analyser v2.2.21
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## au.com.redhillconsulting.simian
Class CompositeAuditListener

    java.lang.Object
      au.com.redhillconsulting.simian.CompositeAuditListener

All Implemented Interfaces:
  AuditListener

    public final class CompositeAuditListener

extends java.lang.Object
implements AuditListener

Wraps a list of audit listeners ensuring each of them is notified of audit events.

Version:
  $Id: CompositeAuditListener.java 3019 2007-11-08 09:59:10Z haruki_zaemon $
Author:
  Simon Harris

Constructor Summary
`CompositeAuditListener()` Default constructor.
`CompositeAuditListener(java.util.Collection components)` Constructor.

Method Summary
`void` | `add(AuditListener listener)` Adds a listener.
`void` | `block(Block block)` Called once for each block of duplicate lines within a set.
`void` | `endCheck(CheckSummary summary)` Called when checking has finished.
`void` | `endSet(java.lang.String text)` Called to indicate the end of a set of blocks of duplicate lines.
`void` | `fileProcessed(SourceFile sourceFile)` Called when a file has been loaded.
`void` | `startCheck(Options options)` Called when checking begins.
`void` | `startSet(int lineCount)` Called to indicate the start of a set of blocks of duplicate lines.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CompositeAuditListener

    public CompositeAuditListener(java.util.Collection components)

  Constructor.

  Parameters:
    `components` - The component audit listeners.

### CompositeAuditListener

    public CompositeAuditListener()

  Default constructor.

Method Detail

### add

    public void add(AuditListener listener)

  Adds a listener. No checking is performed to see if the listener already exists.

  Parameters:
    `listener` - The listener to add.

### startCheck

    public void startCheck(Options options)

  Description copied from interface: `AuditListener`
  Called when checking begins.

  Specified by:
    `startCheck` in interface `AuditListener`
  Parameters:
    `options` - The options used when performing the check

### fileProcessed

    public void fileProcessed(SourceFile sourceFile)

  Description copied from interface: `AuditListener`
  Called when a file has been loaded.

  Specified by:
    `fileProcessed` in interface `AuditListener`
  Parameters:
    `sourceFile` - The file that was just loaded

### startSet

    public void startSet(int lineCount)

  Description copied from interface: `AuditListener`
  Called to indicate the start of a set of blocks of duplicate lines.

  Specified by:
    `startSet` in interface `AuditListener`
  Parameters:
    `lineCount` - The number of lines the blocks have in common

### block

    public void block(Block block)

  Description copied from interface: `AuditListener`
  Called once for each block of duplicate lines within a set.

  Specified by:
    `block` in interface `AuditListener`
  Parameters:
    `block` - the duplicated block.

### endSet

    public void endSet(java.lang.String text)

  Description copied from interface: `AuditListener`
  Called to indicate the end of a set of blocks of duplicate lines.

  Specified by:
    `endSet` in interface `AuditListener`
  Parameters:
    `text` - The text

### endCheck

    public void endCheck(CheckSummary summary)

  Description copied from interface: `AuditListener`
  Called when checking has finished.

  Specified by:
    `endCheck` in interface `AuditListener`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Simian - Similarity Analyser v2.2.21
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2003-07 RedHill Consulting Pty. Ltd. All rights reserved.